# Class TpexEvent

  Symfony\Component\EventDispatcher\Event
  Thelia\Tpex\Event\TpexEvent

Namespace: Thelia\Tpex\Event
Located at core/lib/Thelia/Tpex/Event/TpexEvent.php

Methods summary
`public` | # `__construct( string $content, Symfony\Component\HttpFoundation\Request $request )` #### Parameters $content `string` $content the text parsing by Tpex $request
`public string` | # `getContent( )` #### Returns `string` $content
`public` | # `setContent( string $content )` set the content. This don't stop propagation, pther EventListener can modify the content #### Parameters $content `string` $content

Properties summary
`protected string` | $content | `` | # the current content parsing by Tpex the current content parsing by Tpex
`protected mixed` | $request | `` | #